Reply to a comment

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
POST /data/tasks/{task_id}/comments/{comment_id}/reply

Add a reply to a comment. You must have access to the task. The author of the comment can reply. Other users must be able to do actions on the task, or be mentioned on it. A client cannot reply to a client of another studio. A client can see some threads. These are the comments for the client and the comments of a client. In these threads, only the managers and the clients can reply. Send multipart form data to attach files.

Path parameters

  • task_id string(uuid) Required

    Unique identifier of the task

  • comment_id string(uuid) Required

    Unique identifier of the comment

Body

  • text string

    Reply text content

Body

  • text string

    Reply text content

  • files array[string(binary)]

    Files to attach to the reply

Responses

  • 200 application/json

    The new reply

    Hide response attributes Show response attributes object
    • id string(uuid)

      Reply unique identifier

    • comment_id string(uuid)

      Parent comment identifier

    • text string

      Reply text content

    • person_id string(uuid)

      Person identifier who made the reply

    • created_at string(date-time)

      Creation timestamp

  • 403

    The comment is not on this task, you do not have access to the task, you cannot do actions on the task and you are not mentioned on it, or you cannot reply in this thread

  • 404

    The comment does not exist

POST /data/tasks/{task_id}/comments/{comment_id}/reply
curl -X POST "http://api.example.com/data/tasks/a24a6ea4-ce75-4665-a070-57453082c25/comments/b35b7fb5-df86-5776-b181-68564193d36/reply" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json"
import requests

url = "http://api.example.com/data/tasks/a24a6ea4-ce75-4665-a070-57453082c25/comments/b35b7fb5-df86-5776-b181-68564193d36/reply"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
params = {}
payload = None

response = requests.post(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
Request examples
{
  "text": "Thanks for the feedback!"
}
Response examples (200)
{
  "id": "c46c80c6-e097-6887-c292-79675204e470",
  "comment_id": "b35b7fb5-df86-5776-b181-68564193d360",
  "text": "Thanks for the feedback!",
  "person_id": "d57d91d7-f108-7998-d403-80786315f580",
  "created_at": "2023-01-01T12:00:00Z"
}